=== modified file 'ChangeLog'
--- ChangeLog	2006-09-05 18:59:54 +0000
+++ ChangeLog	2006-09-05 19:01:04 +0000
@@ -1,5 +1,10 @@
 2006-09-05  Richard Ferguson <ubuntu@fergusnet.com>
 
+    * olive.glade: fixed push dialog to not hide/show widgets
+    * olive/frontend/gtk/push.py:
+	
+2006-09-05  Richard Ferguson <ubuntu@fergusnet.com>
+
     * olive.glade: cleaned up information dialog
     * olive/frontend/gtk/info.py:
 	

=== modified file 'olive.glade'
--- olive.glade	2006-09-05 18:59:54 +0000
+++ olive.glade	2006-09-05 19:01:04 +0000
@@ -1757,6 +1757,7 @@
 
       <child>
 	<widget class="GtkEntry" id="entry_push_location">
+	  <property name="visible">True</property>
 	  <property name="can_focus">True</property>
 	  <property name="editable">True</property>
 	  <property name="visibility">True</property>
@@ -1775,6 +1776,7 @@
 
       <child>
 	<widget class="GtkCheckButton" id="checkbutton_push_remember">
+	  <property name="visible">True</property>
 	  <property name="can_focus">True</property>
 	  <property name="label" translatable="yes">_Remember as default location</property>
 	  <property name="use_underline">True</property>
@@ -1793,6 +1795,7 @@
 
       <child>
 	<widget class="GtkCheckButton" id="checkbutton_push_create">
+	  <property name="visible">True</property>
 	  <property name="can_focus">True</property>
 	  <property name="label" translatable="yes">_Create the path leading up to the location</property>
 	  <property name="use_underline">True</property>

=== modified file 'olive/frontend/gtk/push.py'
--- olive/frontend/gtk/push.py	2006-08-21 00:06:30 +0000
+++ olive/frontend/gtk/push.py	2006-09-05 19:01:04 +0000
@@ -67,6 +67,11 @@
         self.label_test = self.glade.get_widget('label_push_test')
         self.image_test = self.glade.get_widget('image_push_test')
         
+        # Set initial state
+        self.entry_location.set_sensitive(0)
+        self.check_remember.set_sensitive(0)
+        self.check_create.set_sensitive(0)
+		
         # Get stored location
         self.notbranch = False
         try:
@@ -90,28 +95,27 @@
     
     def stored_toggled(self, widget):
         if widget.get_active():
-            self.entry_stored.show()
-            self.entry_location.hide()
-            self.check_remember.hide()
-            self.check_create.hide()
-            self.window.resize(self.width, self.height)
+            self.entry_stored.set_sensitive(1)
+            self.entry_location.set_sensitive(0)
+            self.check_remember.set_sensitive(0)
+            self.check_create.set_sensitive(0)
         else:
-            self.entry_stored.hide()
-            self.entry_location.show()
-            self.check_remember.show()
-            self.check_create.show()
+            self.entry_stored.set_sensitive(0)
+            self.entry_location.set_sensitive(1)
+            self.check_remember.set_sensitive(1)
+            self.check_create.set_sensitive(1)
     
     def specific_toggled(self, widget):
         if widget.get_active():
-            self.entry_stored.hide()
-            self.entry_location.show()
-            self.check_remember.show()
-            self.check_create.show()
+            self.entry_stored.set_sensitive(0)
+            self.entry_location.set_sensitive(1)
+            self.check_remember.set_sensitive(1)
+            self.check_create.set_sensitive(1)
         else:
-            self.entry_stored.show()
-            self.entry_location.hide()
-            self.check_remember.hide()
-            self.check_create.hide()
+            self.entry_stored.set_sensitive(1)
+            self.entry_location.set_sensitive(0)
+            self.check_remember.set_sensitive(0)
+            self.check_create.set_sensitive(0)
     
     def push(self, widget):
         revs = 0

